import 'dart:async';

import 'package:flutter/services.dart';

class FlutterTeachstackSdk {
  static const MethodChannel _channel = MethodChannel('flutter_teachstack_sdk');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<void> liveClass(String url) async {
    Map<String, dynamic> args = <String, dynamic>{};
    args.putIfAbsent("url", () => url);
    await _channel.invokeMethod('liveClass', args);
    return;
  }
}
